<template>
    <div class="welfare-assets">
        <PublicTitle
            :iconUrl="require('@/assets/img/publicTitle/icon-公益.png')"
            title="公益资产"
            routerPath="/platLayout/PublicWelfareAssets"
        />
        <div class="assets-content">
            <div class="assets-item">
                <div class="value">{{  publicData.bookValue}}</div>
                <div class="label">账面净值(万元)</div>
            </div>
            <div class="assets-item">
                <div class="value">{{  publicData.count}}</div>
                <div class="label">公益资产数(个)</div>
            </div>
            <div class="assets-item">
                <div class="value">{{  publicData.investPlan}}</div>
                <div class="label">规划总投资(万元)</div>
            </div>
            <div class="assets-item">
                <div class="value">{{  publicData.investOver}}7</div>
                <div class="label">完成投资(万元)</div>
            </div>
        </div>
    </div>
</template>

<script>
import utils from '@/utils.js'
import api from '@/api/homePage.js'
import PublicTitle from '@/components/PublicTitle/index'
export default {
    name: 'WelfareAssets', // 公益资产
    components: {PublicTitle},
    data() {
        return {
            publicData:{}
        }
    },
    created() {
        this.getPublicAssets()
    },
    methods: {
        getPublicAssets(){
            api.publicStatistics({},res=>{
                if(res.state){
                    this.publicData=res.value
                }
            })  
        }
    },
}
</script>

<style scoped lang="scss">
.welfare-assets {
    width: 100%;
    height: 100%;
    padding: 16px;
    box-sizing: border-box;
    background: #ffffff;
    box-shadow: 4px 4px 10px 0px rgba(53, 152, 220, 0.1);
    border-radius: 16px 16px 16px 16px;
    .assets-content {
        box-sizing: border-box;
        width: 100%;
        padding: 10px 20px 0px 10px;
        height: calc(100% - 30px);
        display: flex;
        flex-wrap: wrap;
        .assets-item {
            box-sizing: border-box;
            width: 50%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            .label {
                font-size: 16px;
                color: #7a8899;
            }
            .value {
                font-size: 22px;
                font-weight: 700;
                color: #0f2a4d;
            }
            &:nth-child(1) {
                border-right: 1px solid #eee;
                border-bottom: 1px solid #eee;
            }
            &:nth-child(2) {
                border-bottom: 1px solid #eee;
            }
            &:nth-child(3) {
                border-right: 1px solid #eee;
            }
        }
    }
}
</style>
